#ifndef PXLAPI_H
#define PXLAPI_H
/*
 * XLAPI private internal defs
 *
 * Multiplexed Network Client/Server Core Engine
 *
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * -----------------------------------------------------------------------
 * $Id: pxlapi.h,v 1.2 2003/03/29 12:21:11 csmith Exp $  $Date: 2003/03/29 12:21:11 $
 * -----------------------------------------------------------------------
 */

#include <phlib/xl_types.h>
#include <phlib/xl_string.h>

#include "sessions.h"
#include "gwneng.h"

int  api_write( int  );
int  maintain_write_buffer( int );
int  maintain_event_queue( EventMsg **, int );

void api_event_init();
void api_write_init( int block_size );
int  api_event_deinit();
__inline__ int  api_events_pending();

void api_defcon_init( NetService *, NetworkConnectionData * );

void flush_events( int );
void flush_writes( int );

#endif
